/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __KFUNC_CALL_TEST_SKEL_H__
#define __KFUNC_CALL_TEST_SKEL_H__

#include <stdlib.h>
#include <bpf/bpf.h>
#include <bpf/skel_internal.h>

struct kfunc_call_test {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_prog_desc kfunc_call_test2;
		struct bpf_prog_desc kfunc_call_test1;
	} progs;
	struct {
		int kfunc_call_test2_fd;
		int kfunc_call_test1_fd;
	} links;
};

static inline int
kfunc_call_test__kfunc_call_test2__attach(struct kfunc_call_test *skel)
{
	int prog_fd = skel->progs.kfunc_call_test2.prog_fd;
	int fd = ((void)prog_fd, 0); /* auto-attach not supported */

	if (fd > 0)
		skel->links.kfunc_call_test2_fd = fd;
	return fd;
}

static inline int
kfunc_call_test__kfunc_call_test1__attach(struct kfunc_call_test *skel)
{
	int prog_fd = skel->progs.kfunc_call_test1.prog_fd;
	int fd = ((void)prog_fd, 0); /* auto-attach not supported */

	if (fd > 0)
		skel->links.kfunc_call_test1_fd = fd;
	return fd;
}

static inline int
kfunc_call_test__attach(struct kfunc_call_test *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : kfunc_call_test__kfunc_call_test2__attach(skel);
	ret = ret < 0 ? ret : kfunc_call_test__kfunc_call_test1__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
kfunc_call_test__detach(struct kfunc_call_test *skel)
{
	skel_closenz(skel->links.kfunc_call_test2_fd);
	skel_closenz(skel->links.kfunc_call_test1_fd);
}
static void
kfunc_call_test__destroy(struct kfunc_call_test *skel)
{
	if (!skel)
		return;
	kfunc_call_test__detach(skel);
	skel_closenz(skel->progs.kfunc_call_test2.prog_fd);
	skel_closenz(skel->progs.kfunc_call_test1.prog_fd);
	free(skel);
}
static inline struct kfunc_call_test *
kfunc_call_test__open(void)
{
	struct kfunc_call_test *skel;

	skel = calloc(sizeof(*skel), 1);
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	return skel;
cleanup:
	kfunc_call_test__destroy(skel);
	return NULL;
}

static inline int
kfunc_call_test__load(struct kfunc_call_test *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 3107;
	opts.data = (void *)"\
\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\x3c\0\0\x04\x3c\0\0\x04\x71\0\0\0\0\
\x02\0\0\0\0\0\0\x02\0\0\0\x01\x04\0\0\x20\0\0\0\xb8\0\0\0\x0b\0\0\0\x03\0\0\0\
\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\
\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\
\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\
\0\x01\0\0\0\0\x5e\0\0\0\x03\0\0\x01\x20\0\0\0\x6e\0\0\0\x03\0\0\x01\x40\0\0\0\
\x76\0\0\0\x03\0\0\x01\x60\0\0\0\x7f\0\0\0\x05\0\0\x01\x80\0\0\0\x82\0\0\0\x03\
\0\0\x02\x20\0\0\0\x87\0\0\0\x03\0\0\x02\x40\0\0\0\x92\0\0\0\x03\0\0\x02\x60\0\
\0\0\x97\0\0\0\x03\0\0\x02\x80\0\0\0\xa0\0\0\0\x03\0\0\x02\xa0\0\0\0\xa8\0\0\0\
\x03\0\0\x02\xc0\0\0\0\xaf\0\0\0\x03\0\0\x02\xe0\0\0\0\xba\0\0\0\x03\0\0\x03\0\
\0\0\0\xc4\0\0\0\x07\0\0\x03\x20\0\0\0\xcf\0\0\0\x07\0\0\x03\xa0\0\0\0\xd9\0\0\
\0\x03\0\0\x04\x20\0\0\0\xe5\0\0\0\x03\0\0\x04\x40\0\0\0\xf0\0\0\0\x03\0\0\x04\
\x60\0\0\0\0\0\0\0\x08\0\0\x04\x80\0\0\0\xfa\0\0\0\x0a\0\0\x04\xc0\0\0\x01\x01\
\0\0\0\x03\0\0\x05\0\0\0\x01\x0a\0\0\0\x03\0\0\x05\x20\0\0\0\0\0\0\0\x0c\0\0\
\x05\x40\0\0\x01\x13\0\0\0\x03\0\0\x05\x80\0\0\x01\x1c\x08\0\0\0\0\0\0\x04\0\0\
\x01\x22\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\x06\0\0\0\x05\0\0\x01\x2f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\x43\
\0\0\0\x09\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x20\0\0\x01\x4d\x08\0\0\0\0\0\0\x0b\
\0\0\x01\x53\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\
\x01\x6a\0\0\0\x0d\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x21\0\0\0\0\x0d\0\0\x01\0\0\
\0\x0f\0\0\x01\x6d\0\0\0\x01\0\0\x01\x71\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\
\x01\x75\x0c\0\0\x01\0\0\0\x0e\0\0\0\0\x0d\0\0\x03\0\0\0\x0f\0\0\x04\x66\0\0\0\
\x12\0\0\x04\x66\0\0\0\x04\0\0\x04\x66\0\0\0\x04\0\0\0\0\x02\0\0\0\0\0\0\x13\0\
\0\x01\x86\x04\0\0\x03\0\0\0\x18\0\0\x01\x8b\0\0\0\x14\0\0\0\0\0\0\x01\x97\0\0\
\0\x18\0\0\0\x40\0\0\x01\xa6\0\0\0\x03\0\0\0\x80\0\0\x01\xb7\x04\0\0\x02\0\0\0\
\x04\0\0\x01\xc3\0\0\0\x15\0\0\0\0\0\0\x01\xcd\0\0\0\x16\0\0\0\x10\0\0\x01\xd5\
\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\x01\xe3\x08\0\0\0\0\0\0\x17\0\0\x01\xe9\x01\
\0\0\0\0\0\0\x02\0\0\0\x10\0\0\x01\xf8\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\x02\
\x0a\x0c\0\0\x01\0\0\0\x11\0\0\x02\x1f\x0c\0\0\x01\0\0\0\x0e\0\0\0\0\x0d\0\0\
\x05\0\0\0\x0b\0\0\x04\x66\0\0\0\x12\0\0\x04\x66\0\0\0\x04\0\0\x04\x66\0\0\0\
\x0b\0\0\x04\x66\0\0\0\x04\0\0\x04\x66\0\0\0\x0b\0\0\x02\x30\x0c\0\0\x01\0\0\0\
\x1b\0\0\x02\x45\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\x1d\0\0\0\x06\0\0\0\x04\0\0\x02\x4a\x0e\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\x02\
\x53\x07\0\0\0\0\0\0\0\0\0\x02\x61\x07\0\0\0\0\0\0\0\0\0\x04\x4c\x0f\0\0\x01\0\
\0\0\x04\0\0\0\x1f\0\0\0\0\0\0\0\x04\0\0\x04\x54\x0f\0\0\x02\0\0\0\x08\0\0\0\
\x24\0\0\0\0\0\0\0\x04\0\0\0\x24\0\0\0\x04\0\0\0\x04\0\0\x04\x66\x0e\0\0\0\0\0\
\0\x04\0\0\0\x01\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\
\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\
\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\
\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\
\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\
\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\
\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\
\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\
\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\
\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\
\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\
\x69\x7a\x65\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x73\x6b\0\x73\x6b\x62\0\x69\x6e\x74\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x32\0\x73\x6f\x63\x6b\0\x5f\x5f\x73\x6b\x5f\x63\
\x6f\x6d\x6d\x6f\x6e\0\x73\x6b\x5f\x70\x61\x63\x69\x6e\x67\x5f\x72\x61\x74\x65\
\0\x73\x6b\x5f\x70\x61\x63\x69\x6e\x67\x5f\x73\x74\x61\x74\x75\x73\0\x73\x6f\
\x63\x6b\x5f\x63\x6f\x6d\x6d\x6f\x6e\0\x73\x6b\x63\x5f\x73\x74\x61\x74\x65\0\
\x73\x6b\x63\x5f\x6e\x75\x6d\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\
\x72\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\
\x72\x74\0\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\
\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\
\x32\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x31\0\x62\
\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x31\0\
\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\
\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x2e\x65\x6c\
\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x31\x2e\x65\
\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x2e\x63\0\x69\x6e\x74\x20\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\
\x65\x73\x74\x32\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\
\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\
\x5f\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x20\x3d\x20\x73\x6b\x62\x2d\x3e\x73\x6b\
\x3b\0\x09\x69\x66\x20\x28\x21\x73\x6b\x29\0\x09\x73\x6b\x20\x3d\x20\x62\x70\
\x66\x5f\x73\x6b\x5f\x66\x75\x6c\x6c\x73\x6f\x63\x6b\x28\x73\x6b\x29\x3b\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x32\x28\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6f\
\x63\x6b\x20\x2a\x29\x73\x6b\x2c\x20\x31\x2c\x20\x32\x29\x3b\0\x7d\0\x69\x6e\
\x74\x20\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x31\x28\
\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\
\x6b\x62\x29\0\x09\x61\x20\x3d\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\
\x61\x6c\x6c\x5f\x74\x65\x73\x74\x31\x28\x28\x73\x74\x72\x75\x63\x74\x20\x73\
\x6f\x63\x6b\x20\x2a\x29\x73\x6b\x2c\x20\x31\x2c\x20\x61\x20\x7c\x20\x32\x2c\
\x20\x33\x2c\x20\x61\x20\x7c\x20\x34\x29\x3b\0\x09\x72\x65\x74\x20\x3d\x20\x61\
\x20\x3e\x3e\x20\x33\x32\x3b\x20\x20\x20\x2f\x2a\x20\x72\x65\x74\x20\x73\x68\
\x6f\x75\x6c\x64\x20\x62\x65\x20\x32\x20\x2a\x2f\0\x09\x72\x65\x74\x20\x2b\x3d\
\x20\x28\x5f\x5f\x75\x33\x32\x29\x61\x3b\x20\x2f\x2a\x20\x72\x65\x74\x20\x73\
\x68\x6f\x75\x6c\x64\x20\x62\x65\x20\x31\x32\x20\x2a\x2f\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\0\
\x64\x75\x6d\x6d\x79\x5f\x6b\x73\x79\x6d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\xc5\0\0\0\0\0\0\0\0\x47\x50\x4c\0\x18\x60\0\0\xff\xff\xff\xff\0\0\0\0\0\0\
\0\0\x79\x11\0\xa8\0\0\0\0\x15\x10\0\x07\0\0\0\0\x85\0\0\0\0\0\0\x5f\x15\0\0\
\x05\0\0\0\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\xb7\x30\0\0\0\0\0\x02\
\x85\x02\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\x02\x6a\0\0\x02\xe3\0\0\x30\0\0\0\0\x02\0\0\x02\
\x6a\0\0\x03\x0f\0\0\x38\x1d\0\0\0\x03\0\0\x02\x6a\0\0\x03\x2f\0\0\x40\x06\0\0\
\0\x04\0\0\x02\x6a\0\0\x03\x39\0\0\x4c\x07\0\0\0\x05\0\0\x02\x6a\0\0\x03\x2f\0\
\0\x50\x06\0\0\0\x06\0\0\x02\x6a\0\0\x03\x54\0\0\x5c\x09\0\0\0\x0b\0\0\x02\x6a\
\0\0\x03\x8b\0\0\x60\x01\0\0\0\x03\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\
\x73\x74\x32\0\x47\x50\x4c\0\x18\x60\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x79\
\x11\0\xa8\0\0\0\0\x15\x10\0\x0d\0\0\0\0\x85\0\0\0\0\0\0\x5f\x15\0\0\x0b\0\0\0\
\0\xbf\x10\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x18\x30\0\0\0\0\0\x02\0\0\0\0\0\0\
\0\x01\xb7\x40\0\0\0\0\0\x03\x18\x50\0\0\0\0\0\x04\0\0\0\0\0\0\0\x01\x85\x02\0\
\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x77\x60\0\0\0\0\0\x20\x0f\x60\0\0\0\0\0\0\xbf\
\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\0\0\0\x02\x6a\0\0\
\x03\x8d\0\0\x6c\0\0\0\0\x02\0\0\x02\x6a\0\0\x03\x0f\0\0\x74\x1d\0\0\0\x03\0\0\
\x02\x6a\0\0\x03\x2f\0\0\x84\x06\0\0\0\x04\0\0\x02\x6a\0\0\x03\x39\0\0\x90\x07\
\0\0\0\x05\0\0\x02\x6a\0\0\x03\x2f\0\0\x94\x06\0\0\0\x06\0\0\x02\x6a\0\0\x03\
\xb9\0\0\xa0\x06\0\0\0\x0e\0\0\x02\x6a\0\0\x03\xfb\0\0\xa4\x0a\0\0\0\x10\0\0\
\x02\x6a\0\0\x04\x23\0\0\xa8\x06\0\0\0\x11\0\0\x02\x6a\0\0\x03\x8b\0\0\xb4\x01\
\0\0\0\x03\0\0\0\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x70\x66\
\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x31\0";
	opts.insns_sz = 3664;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xfe\x78\xb7\x20\0\
\0\0\0\x01\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\x01\x28\0\0\0\0\
\x61\x1a\xfe\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\
\x7c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x80\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x84\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x88\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x8c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xfe\x90\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xfe\x94\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x98\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x9c\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xa0\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xa4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xfe\xa8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xfe\xac\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xfe\xb0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xb4\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xb8\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xbc\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xc0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xfe\xc4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xfe\xc8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\
\xcc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xd0\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xd4\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xd8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xdc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xfe\xe0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xfe\xe4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xe8\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xec\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xf0\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xf4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xfe\xf8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xfe\xfc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x04\0\0\0\
\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x08\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x0c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x10\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xff\x14\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xff\x18\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x1c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x20\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x24\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x28\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\x2c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\x30\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\x34\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x38\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x3c\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x40\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x44\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xff\x48\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xff\x4c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\
\x50\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x54\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x58\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x5c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x60\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xff\x64\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xff\x68\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x6c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x70\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x74\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\x7c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\x84\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x88\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x8c\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x90\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x94\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xff\x98\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xff\x9c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\
\xa0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xa4\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xa8\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xac\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xb0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xff\xb4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xff\xb8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xbc\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xc0\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xc4\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xc8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\xcc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\xd0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\xd4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xd8\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xdc\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xe0\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xe4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xff\xe8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xff\xec\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\
\xf0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xf4\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xf8\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xfc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\xbf\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\
\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\xdd\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\
\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\xd9\x63\x10\0\0\0\0\0\0\x79\x06\0\
\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\xcd\x7b\x10\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\xc5\x7b\
\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x12\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x08\xc5\
\xb7\x30\0\0\0\0\0\x1c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\xc0\
\0\0\0\0\x63\xa7\xfe\x78\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\xe1\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xd5\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\xe5\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xcd\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x09\x4d\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\
\x15\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x09\x55\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x0a\x25\x7b\x10\0\0\0\0\0\0\xbf\x0a\0\0\0\0\0\0\x07\0\0\0\
\xff\xff\xfe\x7c\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x3d\x7b\x10\0\0\0\0\0\0\
\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xdd\x63\x10\0\0\0\0\
\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xe1\x63\x10\0\0\
\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xe5\x7b\x10\
\0\0\0\0\0\0\x61\x0a\xfe\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x0d\
\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x45\xb7\x20\0\0\0\0\0\
\x15\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\
\0\0\0\0\xc5\x70\xfe\x8e\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x09\x31\x63\
\x07\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x09\xc5\
\xb7\x30\0\0\0\0\0\x80\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x84\
\0\0\0\0\x63\xa7\xff\x7c\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x5a\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x9e\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x0a\x5e\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x96\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xf6\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\
\xde\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xfe\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x0b\xee\x7b\x10\0\0\0\0\0\0\xbf\x0a\0\0\0\0\0\0\x07\0\0\0\
\xff\xff\xfe\x7c\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x06\x7b\x10\0\0\0\0\0\0\
\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xa6\x63\x10\0\0\0\0\
\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xaa\x63\x10\0\0\
\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xae\x7b\x10\
\0\0\0\0\0\0\x61\x0a\xfe\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xd6\
\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x0e\xb7\x20\0\0\0\0\0\
\x15\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\
\0\0\0\0\xc5\x70\xfe\x52\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xca\x63\
\x07\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x8e\
\xb7\x30\0\0\0\0\0\x80\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x48\
\0\0\0\0\x63\xa7\xff\x80\0\0\0\0\x61\x1a\xfe\x78\0\0\0\0\xd5\x10\0\x02\0\0\0\0\
\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x0a\xff\x7c\0\0\0\0\x63\x60\0\x18\
\0\0\0\0\x61\x0a\xff\x80\0\0\0\0\x63\x60\0\x1c\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	return 0;
}

static inline struct kfunc_call_test *
kfunc_call_test__open_and_load(void)
{
	struct kfunc_call_test *skel;

	skel = kfunc_call_test__open();
	if (!skel)
		return NULL;
	if (kfunc_call_test__load(skel)) {
		kfunc_call_test__destroy(skel);
		return NULL;
	}
	return skel;
}

#endif /* __KFUNC_CALL_TEST_SKEL_H__ */
